plugins {
    id 'com.android.library'
    id 'org.jetbrains.kotlin.android'
//    id 'kotlin-android'
//    id 'com.jakewharton.butterknife'
}

android {
    compileSdkVersion rootProject.ext.android["compileSdkVersion"]

    defaultConfig {
        minSdkVersion rootProject.ext.android["minSdkVersion"]
        targetSdkVersion rootProject.ext.android["targetSdkVersion"]
        versionCode rootProject.ext.android["versionCode"]
        versionName rootProject.ext.android["versionName"]

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
        consumerProguardFiles "consumer-rules.pro"
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_11
        targetCompatibility JavaVersion.VERSION_11
    }
    kotlinOptions {
        jvmTarget = '11'
    }

    buildFeatures {
        viewBinding = true
    }
}

dependencies {

    implementation 'androidx.core:core-ktx:1.7.0'
    implementation 'androidx.appcompat:appcompat:1.3.0'
    implementation 'com.google.android.material:material:1.4.0'
    implementation 'androidx.constraintlayout:constraintlayout:2.0.4'
    testImplementation 'junit:junit:4.13.2'
    androidTestImplementation 'androidx.test.ext:junit:1.1.3'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.4.0'



    api rootProject.ext.dependencies["gson"]
    api rootProject.ext.dependencies["glide"]
    annotationProcessor rootProject.ext.dependencies["glide-compiler"]
    api rootProject.ext.dependencies["agentweb"]
    api rootProject.ext.dependencies["Banner"]
    api rootProject.ext.dependencies["RefreshLayout"]
    api rootProject.ext.dependencies["Header"]
    api rootProject.ext.dependencies["Footer"]
    api rootProject.ext.dependencies["rxjava"]
    api rootProject.ext.dependencies["rxandroid"]
    api rootProject.ext.dependencies["retrofit"]
    api rootProject.ext.dependencies["converter-gson"]
    api rootProject.ext.dependencies["adapter-rxjava2"]
    api rootProject.ext.dependencies["okhttp"]
    api rootProject.ext.dependencies["logging-interceptor"]
//    api rootProject.ext.dependencies["recyclerview"]
    api rootProject.ext.dependencies["AutoSize"]
    api rootProject.ext.dependencies["statusbaruitl"]
    api rootProject.ext.dependencies["BaseRecyclerViewAdapterHelper"]
    api rootProject.ext.dependencies["PhotoPicker"]
//    api rootProject.ext.dependencies["PickerView"]
    api rootProject.ext.dependencies["Xpopup"]
    api rootProject.ext.dependencies["Countdownview"]
    api rootProject.ext.dependencies["CheckVersionLib"]
    api rootProject.ext.dependencies["Bugly"]
    api rootProject.ext.dependencies["Zxing"]
    api rootProject.ext.dependencies["Multidex"]
    api rootProject.ext.dependencies["FlycoTabLayout"]
    api rootProject.ext.dependencies["NiceDialog"]
    api rootProject.ext.dependencies["MagicIndicator"]
    api rootProject.ext.dependencies["glide-okhttps"]
    api rootProject.ext.dependencies["Permissionx"]
    api rootProject.ext.dependencies["WheelPicker"]
    api rootProject.ext.dependencies["AddressPicker"]
    api 'pub.devrel:easypermissions:3.0.0'
    api 'io.github.lucksiege:compress:v3.11.2'
    api 'org.greenrobot:eventbus:3.3.1'

//    api 'com.gyf.cactus:cactus:1.1.3-beta13'







//    implementation "io.github.cymchad:BaseRecyclerViewAdapterHelper:4.0.1"

    //友盟基础库（必须）
//    api 'com.umeng.umsdk:common:9.4.4'
//    api 'com.umeng.umsdk:asms:1.4.1'
//
//    //友盟推送库
//    api 'com.umeng.umsdk:push:6.4.5'
//
//    api 'com.umeng.umsdk:huawei-umengaccs:1.3.5'
//    api 'com.huawei.hms:push:5.3.0.304'



//    api('com.aliyun.ams:alicloud-android-hotfix:3.3.0') {
//        exclude(module: 'alicloud-android-ut')
//        exclude(module: 'alicloud-android-utdid')
//        exclude(module: 'alicloud-android-utils')
//    }
//    api 'com.aliyun.dpa:oss-android-sdk:2.9.5'
    api 'com.aliyun.dpa:oss-android-sdk:2.9.13'

}
